package but.androidstudio.tetris

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.Button
import modele.Game
import views.ViewsGame

class GameFragment : Fragment() {

    private val heightGame:Int = 15 // Line number
    private val withGame:Int = 7 // Column number
    private lateinit var viewGame:ViewsGame
    private lateinit var modeleGame:Game

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        // Inflate the layout for this fragment
        return inflater.inflate(R.layout.fragment_game, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        // La vue se refresh quand on fait quelque chose dessus (changer un parametre )
        viewGame = view.findViewById<ViewsGame>(R.id.tabGame)
        viewGame.nbCaseHauteur = heightGame
        viewGame.nbCaseLargeur = withGame

        modeleGame = Game(height = heightGame, width = withGame, viewGame = viewGame)

        val buttonRight:Button = view.findViewById(R.id.Button_Right)
        buttonRight.setOnClickListener {
            modeleGame.getDashbord().moveRight(modeleGame.currentShape)
        }

        modeleGame.startGame()
    }
}